# CES Slurm Simulator on Ubuntu 20.08 Docker Image 

This is an all-in-one installation of the [ces slurm simulator](https://earth.bsc.es/gitlab/mgimenez/ces_slurm_simulator).
It is meant to be a black-box ephemeral container to run a single simulation.

Along side with the docker image, you are provided with a helper script 
(`launcher.py`) which handles the mount point for the important files 
for the simulator.

## Usage

First you should build the image.

```bash
docker build . --tag mgimenez/docker-ubuntu-ces-slurm-sim:latest
```

Now everything related to the simulation is run through the helper script
`launcher.py`.

# Acknowledgement

This file is adapted from two repos:

https://github.com/giovtorres/docker-centos7-slurm/
https://github.com/jafreck/docker-ubuntu-slurm	

